﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;

namespace EntityFrameworkCodeFirst.Data
{
  public class Attendee
  {
    [Key]
    public int AttendeeID { get; set; }

    [StringLength(50), Required]
    public string FirstName { get; set; }

    [StringLength(50), Required]
    public string LastName { get; set; }

    [StringLength(int.MaxValue)]
    public string Notes { get; set; }

    public virtual ICollection<Session> Sessions { get; set; }
  }
}
