﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel.DataAnnotations;

namespace EntityFrameworkCodeFirst.Data
{
  public class Session
  {
    [Key]
    public int SessionID { get; set; }

    [StringLength(30)]
    [Required]
    public string Title { get; set; }

    [StringLength(int.MaxValue), Required]
    public string Description { get; set; }

    public virtual ICollection<Attendee> Attendees { get; set; }

    [Required]
    public virtual SessionCategory SessionCategory { get; set; }
  }
}
