﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data.Entity;
using System.Configuration;
using EntityFrameworkCodeFirst.Data;
using System.Data.Entity.Infrastructure;
using System.Data.Entity.ModelConfiguration.Conventions;
using System.Data.Objects;

namespace EntityFrameworkCodeFirst
{
  public class CodeStockContext : DbContext
  {
    public CodeStockContext()
      : base("Server=.;Database=CodeStock;Trusted_Connection=True;")
      //: base("name=CodeStock")
    {
    }

    #region Tables 

    public DbSet<Session> Sessions { get; set; }
    public DbSet<Attendee> Attendees { get; set; }
    public DbSet<SessionCategory> SessionCategories { get; set; }

    #endregion

    protected override void OnModelCreating(DbModelBuilder modelBuilder)
    {
      base.OnModelCreating(modelBuilder);
      //modelBuilder.Conventions.Remove<IncludeMetadataConvention>();
      //modelBuilder.Conventions.Remove<PluralizingTableNameConvention>();
    }

    public ObjectContext ObjectContext
    {
      get { return ((IObjectContextAdapter)this).ObjectContext; }
    }
  }
}
